Upstream information

CVE-2023-52160 at MITRE

Description

The implementation of PEAP in wpa_supplicant through 2.10 allows authentication bypass. For a successful attack, wpa_supplicant must be configured to not verify the network's TLS certificate during Phase 1 authentication, and an eap_peap_decrypt vulnerability can then be abused to skip Phase 2 authentication. The attack vector is sending an EAP-TLV Success packet instead of starting Phase 2. This allows an adversary to impersonate Enterprise Wi-Fi networks.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Adjacent Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1219975 [CONFIRMED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container rancher/elemental-teal-rt/5.4:1.2.3-2.2.132
Container rancher/elemental-teal/5.4:1.2.3-3.2.153
Container suse/sle-micro-rancher/5.3:latest
Container suse/sle-micro-rancher/5.4:latest
Image SLES15-SP4-Micro-5-3
Image SLES15-SP4-Micro-5-3-BYOS
Image SLES15-SP4-Micro-5-3-BYOS-Azure
Image SLES15-SP4-Micro-5-3-BYOS-EC2
Image SLES15-SP4-Micro-5-3-BYOS-GCE
Image SLES15-SP4-Micro-5-3-EC2
Image SLES15-SP4-Micro-5-4
Image SLES15-SP4-Micro-5-4-BYOS
Image SLES15-SP4-Micro-5-4-BYOS-Azure
Image SLES15-SP4-Micro-5-4-BYOS-EC2
Image SLES15-SP4-Micro-5-4-BYOS-GCE
Image SLES15-SP4-Micro-5-4-EC2
Image SLES15-SP4-Micro-5-4-GCE
  • wpa_supplicant >= 2.9-150000.4.39.1
Container suse/hpc/warewulf4-x86_64/sle-hpc-node:latest
Container suse/sle-micro/5.5:2.0.2-4.2.70
Container suse/sle-micro/kvm-5.5:2.0.2-2.2.85
Container suse/sle-micro/rt-5.5:2.0.2-3.2.86
Image SLES15-SP5-Micro-5-5
Image SLES15-SP5-Micro-5-5-BYOS
Image SLES15-SP5-Micro-5-5-BYOS-GCE
Image SLES15-SP5-Micro-5-5-EC2
Image SLES15-SP5-Micro-5-5-GCE
  • wpa_supplicant >= 2.10-150500.3.3.1
SUSE Enterprise Storage 7.1
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-Storage-7.1-2024-819
SUSE Liberty Linux 9
  • wpa_supplicant >= 2.10-5.el9
Patchnames:
RHSA-2024:2517
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • wpa_supplicant >= 2.10-150500.3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-764
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-819
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-819
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-819
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-819
SUSE Linux Enterprise Micro 5.1
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2024-819
SUSE Linux Enterprise Micro 5.2
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2024-819
SUSE Linux Enterprise Micro 5.3
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Micro-5.3-2024-819
SUSE Linux Enterprise Micro 5.4
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Micro-5.4-2024-819
SUSE Linux Enterprise Micro 5.5
  • wpa_supplicant >= 2.10-150500.3.3.1
Patchnames:
SUSE-SLE-Micro-5.5-2024-764
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • wpa_supplicant >= 2.9-23.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2024-818
SUSE Linux Enterprise Server 15 SP2-LTSS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-819
SUSE Linux Enterprise Server 15 SP3-LTSS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-819
SUSE Linux Enterprise Server 15 SP4-LTSS
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-819
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2024-819
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2024-819
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP4-2024-819
SUSE Manager Proxy 4.3
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-819
SUSE Manager Retail Branch Server 4.3
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.3-2024-819
SUSE Manager Server 4.3
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-819
openSUSE Leap 15.5
  • wpa_supplicant >= 2.10-150500.3.3.1
  • wpa_supplicant-gui >= 2.10-150500.3.3.1
Patchnames:
openSUSE-SLE-15.5-2024-764
openSUSE Leap Micro 5.3
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
openSUSE-Leap-Micro-5.3-2024-819
openSUSE Leap Micro 5.4
  • wpa_supplicant >= 2.9-150000.4.39.1
Patchnames:
openSUSE-Leap-Micro-5.4-2024-819
openSUSE Leap Micro 5.5
  • wpa_supplicant >= 2.10-150500.3.3.1
Patchnames:
openSUSE-Leap-Micro-5.5-2024-764
openSUSE Tumbleweed
  • wpa_supplicant >= 2.10-6.1
  • wpa_supplicant-gui >= 2.10-6.1
Patchnames:
openSUSE-Tumbleweed-2024-13694


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 wpa_supplicant Released
SUSE Linux Enterprise Desktop 15 SP5 wpa_supplicant Released
SUSE Linux Enterprise Desktop 15 SP6 wpa_supplicant Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 wpa_supplicant Released
SUSE Linux Enterprise High Performance Computing 15 SP5 wpa_supplicant Released
SUSE Linux Enterprise High Performance Computing 15 SP6 wpa_supplicant Already fixed
SUSE Linux Enterprise Micro 5.1 wpa_supplicant Released
SUSE Linux Enterprise Micro 5.2 wpa_supplicant Released
SUSE Linux Enterprise Micro 5.3 wpa_supplicant Released
SUSE Linux Enterprise Micro 5.4 wpa_supplicant Released
SUSE Linux Enterprise Micro 5.5 wpa_supplicant Released
SUSE Linux Enterprise Micro 6.0 wpa_supplicant Already fixed
SUSE Linux Enterprise Micro for Rancher 5.2 wpa_supplicant Released
SUSE Linux Enterprise Micro for Rancher 5.3 wpa_supplicant Released
SUSE Linux Enterprise Micro for Rancher 5.4 wpa_supplicant Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 wpa_supplicant Released
SUSE Linux Enterprise Module for Basesystem 15 SP6 wpa_supplicant Already fixed
SUSE Linux Enterprise Server 12 SP5 wpa_supplicant Released
SUSE Linux Enterprise Server 15 SP5 wpa_supplicant Released
SUSE Linux Enterprise Server 15 SP6 wpa_supplicant Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 wpa_supplicant Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 wpa_supplicant Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 wpa_supplicant Already fixed
SUSE Manager Proxy 4.3 wpa_supplicant Released
SUSE Manager Retail Branch Server 4.3 wpa_supplicant Released
SUSE Manager Server 4.3 wpa_supplicant Released
openSUSE Leap 15.5 wpa_supplicant Released
openSUSE Leap 15.6 wpa_supplicant Already fixed
openSUSE Leap Micro 5.5 wpa_supplicant Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 15 SP4 LTSS wpa_supplicant Released
SUSE Linux Enterprise High Performance Computing 15 SP2 wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS wpa_supplicant Released
SUSE Linux Enterprise High Performance Computing 15 SP3 wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS wpa_supplicant Released
SUSE Linux Enterprise High Performance Computing 15 SP4 wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS wpa_supplicant Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS wpa_supplicant Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 wpa_supplicant Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 wpa_supplicant Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP2 wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP2-LTSS wpa_supplicant Released
SUSE Linux Enterprise Server 15 SP3 wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP3-LTSS wpa_supplicant Released
SUSE Linux Enterprise Server 15 SP4 wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP4-LTSS wpa_supplicant Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 wpa_supplicant Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 wpa_supplicant Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 wpa_supplicant Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 wpa_supplicant Unsupported
SUSE CaaS Platform 4.0 wpa_supplicant Affected
SUSE Enterprise Storage 6 wpa_supplicant Affected
SUSE Enterprise Storage 7 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 11 SP2 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 11 SP3 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 11 SP4 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 12 wpa_supplicant Unsupported
SUSE Linux Enterprise Desktop 12 SP1 wpa_supplicant Unsupported
SUSE Linux Enterprise Desktop 12 SP2 wpa_supplicant Unsupported
SUSE Linux Enterprise Desktop 12 SP3 wpa_supplicant Unsupported
SUSE Linux Enterprise Desktop 12 SP4 wpa_supplicant Unsupported
SUSE Linux Enterprise Desktop 15 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 15 SP1 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 15 SP2 wpa_supplicant Affected
SUSE Linux Enterprise Desktop 15 SP3 wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS wpa_supplicant Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS wpa_supplicant Affected
SUSE Linux Enterprise Micro 5.0 wpa_supplicant Affected
SUSE Linux Enterprise Module for Basesystem 15 wpa_supplicant Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 wpa_supplicant Affected
SUSE Linux Enterprise Point of Sale 11 SP3 wpa_supplicant Affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT wpa_supplicant Unsupported
SUSE Linux Enterprise Real Time 15 SP2 wpa_supplicant Affected
SUSE Linux Enterprise Real Time 15 SP3 wpa_supplicant Affected
SUSE Linux Enterprise Real Time 15 SP4 wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP2 wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP2-LTSS wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP3 wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP3-LTSS wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP4 wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP4 LTSS wpa_supplicant Affected
SUSE Linux Enterprise Server 11 SP4-LTSS wpa_supplicant Affected
SUSE Linux Enterprise Server 12 wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP1 wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP1-LTSS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP2 wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP2-BCL wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP2-ESPOS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP2-LTSS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP3 wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP3-BCL wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP4 wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP4-ESPOS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12 SP4-LTSS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 12-LTSS wpa_supplicant Unsupported
SUSE Linux Enterprise Server 15 wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP1 wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP1-BCL wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP1-LTSS wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP2-BCL wpa_supplicant Affected
SUSE Linux Enterprise Server 15 SP3-BCL wpa_supplicant Affected
SUSE Linux Enterprise Server 15-LTSS wpa_supplicant Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 wpa_supplicant Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 wpa_supplicant Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 wpa_supplicant Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 wpa_supplicant Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 wpa_supplicant Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 wpa_supplicant Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 wpa_supplicant Affected
SUSE Manager Proxy 4.0 wpa_supplicant Affected
SUSE Manager Proxy 4.1 wpa_supplicant Affected
SUSE Manager Proxy 4.2 wpa_supplicant Affected
SUSE Manager Retail Branch Server 4.0 wpa_supplicant Affected
SUSE Manager Retail Branch Server 4.1 wpa_supplicant Affected
SUSE Manager Retail Branch Server 4.2 wpa_supplicant Affected
SUSE Manager Server 4.0 wpa_supplicant Affected
SUSE Manager Server 4.1 wpa_supplicant Affected
SUSE Manager Server 4.2 wpa_supplicant Affected
SUSE OpenStack Cloud 7 wpa_supplicant Unsupported
SUSE OpenStack Cloud 8 wpa_supplicant Unsupported
SUSE OpenStack Cloud 9 wpa_supplicant Unsupported
SUSE OpenStack Cloud Crowbar 8 wpa_supplicant Unsupported
SUSE OpenStack Cloud Crowbar 9 wpa_supplicant Unsupported
openSUSE Leap 15.3 wpa_supplicant Affected
openSUSE Leap 15.4 wpa_supplicant Affected
openSUSE Leap Micro 5.2 wpa_supplicant Affected
openSUSE Leap Micro 5.3 wpa_supplicant Released
openSUSE Leap Micro 5.4 wpa_supplicant Released
Container Status
suse/hpc/warewulf4-x86_64/sle-hpc-node wpa_supplicantAlready fixed
rancher/elemental-teal-rt/5.4
rancher/elemental-teal/5.4
suse/sle-micro-rancher/5.3
suse/sle-micro-rancher/5.4
suse/sle-micro/5.5
suse/sle-micro/kvm-5.5
suse/sle-micro/rt-5.5
wpa_supplicantReleased
rancher/elemental-teal-rt/5.3
rancher/elemental-teal/5.3
wpa_supplicantIn progress


SUSE Timeline for this CVE

CVE page created: Thu Feb 15 17:09:07 2024
CVE page last modified: Mon Jul 22 17:47:58 2024